-----------------------------------------------------------------
-- create dtproperties if it's missed
-----------------------------------------------------------------
IF OBJECT_ID('dtproperties') IS NULL
begin
	CREATE TABLE dtproperties (
	       id                   int NOT NULL,
	       objectid             int,
	       property             varchar(64) NOT NULL,
	       value                varchar(255),
	       uvalue		    nvarchar(255),
	       lvalue               image,
	       version              int DEFAULT 0 NOT NULL
	);

	ALTER TABLE dtproperties ADD 
		CONSTRAINT [PK_dtproperties] PRIMARY KEY  NONCLUSTERED 
		(
			[id],
			[property]
		)ON [PRIMARY] 
end
